> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アプリのフィードバック一覧を取得

> このアプリケーションのメッセージに対して送信されたすべてのフィードバックのページネーション付きリストを取得します。エンドユーザーと管理者のフィードバックの両方が含まれます。



## OpenAPI

````yaml /ja/api-reference/openapi_completion.json get /app/feedbacks
openapi: 3.0.1
info:
  title: Completion アプリ API
  description: テキスト生成アプリケーションはセッションなしで動作し、翻訳、記事作成、要約 AI などに最適です。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: テキスト生成アプリ API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: 完了メッセージ
    description: テキスト生成に関連する操作です。
  - name: ファイル操作
    description: ファイル管理に関連する操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックに関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識に関連する操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
paths:
  /app/feedbacks:
    get:
      tags:
        - メッセージフィードバック
      summary: アプリのフィードバック一覧を取得
      description: >-
        このアプリケーションのメッセージに対して送信されたすべてのフィードバックのページネーション付きリストを取得します。エンドユーザーと管理者のフィードバックの両方が含まれます。
      operationId: getAppFeedbacksCompletionJp
      parameters:
        - name: page
          in: query
          description: ページネーションのページ番号。
          required: false
          schema:
            type: integer
            default: 1
            minimum: 1
        - name: limit
          in: query
          description: 1ページあたりのレコード数。
          required: false
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 101
      responses:
        '200':
          description: アプリケーションフィードバックのリスト。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppFeedbacksResponse'
              examples:
                feedbacksList:
                  summary: レスポンス例
                  value:
                    data:
                      - id: b7e2f8a1-3c4d-5e6f-7890-abcdef123456
                        app_id: a1b2c3d4-5678-90ab-cdef-1234567890ab
                        conversation_id: 45701982-8118-4bc5-8e9b-64562b4555f2
                        message_id: 9da23599-e713-473b-982c-4328d4f5c78a
                        rating: like
                        content: >-
                          The response accurately answered my question about
                          product specifications.
                        from_source: user
                        from_end_user_id: f1e2d3c4-b5a6-7890-abcd-ef1234567890
                        from_account_id: null
                        created_at: '2025-01-16T14:30:29Z'
                        updated_at: '2025-01-16T14:30:29Z'
                      - id: c8f3a9b2-4d5e-6f70-8901-bcdef2345678
                        app_id: a1b2c3d4-5678-90ab-cdef-1234567890ab
                        conversation_id: 56812a93-9229-5cd6-9f0c-75673b666603
                        message_id: ae24b5c0-f814-584d-a493-5439e5d6b7b1
                        rating: dislike
                        content: >-
                          The answer was too vague and did not address the
                          specific pricing question.
                        from_source: user
                        from_end_user_id: d2c1b0a9-8765-4321-fedc-ba9876543210
                        from_account_id: null
                        created_at: '2025-01-15T09:12:45Z'
                        updated_at: '2025-01-15T09:12:45Z'
components:
  schemas:
    AppFeedbacksResponse:
      type: object
      properties:
        data:
          type: array
          description: フィードバック項目のリスト。
          items:
            $ref: '#/components/schemas/FeedbackItem'
    FeedbackItem:
      type: object
      description: 単一のフィードバック項目。
      properties:
        id:
          type: string
          format: uuid
          description: フィードバック ID。
        app_id:
          type: string
          format: uuid
          description: アプリケーション ID。
        conversation_id:
          type: string
          format: uuid
          description: 会話 ID。
        message_id:
          type: string
          format: uuid
          description: メッセージ ID。
        rating:
          type: string
          description: フィードバック評価。肯定的な場合は `like`、否定的な場合は `dislike`。
        content:
          type: string
          nullable: true
          description: 任意のテキストフィードバック。
        from_source:
          type: string
          description: >-
            フィードバックのソース。API 経由でエンドユーザーが送信したフィードバックの場合は
            `user`、コンソールから送信されたフィードバックの場合は `admin`。
        from_end_user_id:
          type: string
          format: uuid
          nullable: true
          description: フィードバックを送信したエンドユーザー ID。`from_source` が `user` の場合に存在します。
        from_account_id:
          type: string
          format: uuid
          nullable: true
          description: フィードバックを送信したアカウント ID。`from_source` が `admin` の場合に存在します。
        created_at:
          type: string
          format: date-time
          description: 作成タイムスタンプ。
        updated_at:
          type: string
          format: date-time
          description: 最終更新タイムスタンプ。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````